Package com.google.protobuf

# Interface SourceContextOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `SourceContext`, `SourceContext.Builder`

public interface SourceContextOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getFileName()`
`string file_name = 1 [json_name = "fileName"];`
`ByteString`
`getFileNameBytes()`
`string file_name = 1 [json_name = "fileName"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getFileName

String getFileName()
`string file_name = 1 [json_name = "fileName"];`

Returns:
  The fileName.

### getFileNameBytes

ByteString getFileNameBytes()
`string file_name = 1 [json_name = "fileName"];`

Returns:
  The bytes for fileName.